Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.travelingtournament.app
Class TravelingTournamentApp

    java.lang.Object
      org.drools.planner.examples.common.app.LoggingMain
          org.drools.planner.examples.common.app.CommonApp
              org.drools.planner.examples.travelingtournament.app.TravelingTournamentApp

    public class TravelingTournamentApp

extends CommonApp

Field Summary
`static String` | `SOLVER_CONFIG`

Fields inherited from class org.drools.planner.examples.common.app.CommonApp
`logger`

Constructor Summary
`TravelingTournamentApp()`

Method Summary
`protected SolutionDao` | `createSolutionDao()`
`protected AbstractSolutionExporter` | `createSolutionExporter()`
`protected AbstractSolutionImporter` | `createSolutionImporter()`
`protected SolutionPanel` | `createSolutionPanel()`
`protected Solver` | `createSolver()`
`static void` | `main(String[] args)`

Methods inherited from class org.drools.planner.examples.common.app.CommonApp
`createSolutionBusiness, fixateLookAndFeel, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOLVER_CONFIG

    public static final String SOLVER_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### TravelingTournamentApp

    public TravelingTournamentApp()

Method Detail

### main

    public static void main(String[] args)

### createSolver

    protected Solver createSolver()

  Specified by:
    `createSolver` in class `CommonApp`

### createSolutionPanel

    protected SolutionPanel createSolutionPanel()

  Specified by:
    `createSolutionPanel` in class `CommonApp`

### createSolutionDao

    protected SolutionDao createSolutionDao()

  Specified by:
    `createSolutionDao` in class `CommonApp`

### createSolutionImporter

    protected AbstractSolutionImporter createSolutionImporter()

  Overrides:
    `createSolutionImporter` in class `CommonApp`

### createSolutionExporter

    protected AbstractSolutionExporter createSolutionExporter()

  Overrides:
    `createSolutionExporter` in class `CommonApp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.